part of easy_church_json;

///A single church
///
///Created from JSON
class SingleChurch {
  String id;
  String name;
  String bio;
  String elderId;
  String createdAt;
  List<String> members;

  SingleChurch({
    this.id,
    this.name,
    this.bio,
    this.elderId,
    this.createdAt,
    this.members,
  });

  factory SingleChurch.fromJson(Map<String, dynamic> json) {
    return SingleChurch(
      id: json['_id'],
      name: json['name'],
      bio: json['bio'],
      members: getMembers(json['members']),
      createdAt: json['createdAt'],
      elderId: json['elderId'],
    );
  }

  static List<String> getMembers(List<dynamic> json) {
    List<String> list = <String>[];

    if (json.length > 0) {
      json.forEach((map) => {list.add(map['userIMEI'].toString())});
    }

    return list;
  }
}
